2 Commits 6e8abd426b ... e087a0be5a

Auteur SHA1 Message Date
  Zhipeng e087a0be5a modify '格式修改' il y a 4 ans
  Zhipeng 655f89ca9d modify 加上Tab键 il y a 4 ans
2 fichiers modifiés avec 6 ajouts et 6 suppressions
  1. 2 4
      supervisor/install.sh
  2. 4 2
      supervisor/uninstall.sh

+ 2 - 4
supervisor/install.sh

@@ -1,6 +1,5 @@
 #!/bin/bash
 
-
 #Read parameters
 echo "Please input the configuration file name"
 read conf
@@ -19,8 +18,8 @@ read directory
 served="/etc/supervisord.d"
 if [ -f "$served/$conf" ]
 then
-echo "The service has already existed"
-exit 1
+	echo "The service has already existed"
+	exit 1
 else
 # The first position is server.conf File installation directory
 cp server.conf $served/$conf
@@ -34,7 +33,6 @@ sed -i "s#USER#$user#g" $served/$conf
 sed -i "s#DIRECTORY#$directory#g" $served/$conf
 sed -i "s#COMMAND#$command#g" $served/$conf
 
-
 #重读supervisor配置文件
 supervisorctl update
 

+ 4 - 2
supervisor/uninstall.sh

@@ -1,11 +1,13 @@
 #!/bin/bash
+
+#Read service name you want to uninstall
 echo "Please input the service you want to uninstall"
 read conf
 served="/etc/supervisord.d"
 if [ ! -f "$served/$conf" ]
 then
-echo "The service is not existing"
-exit 1
+	echo "The service is not existing"
+	exit 1
 fi